Bug 1874457 - [Kuryr] Missing router during FIP less and BYO installation
Summary: [Kuryr] Missing router during FIP less and BYO installation
Keywords:
Status: ON_QA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.6.z
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.6.0
Assignee: Maysa Macedo
QA Contact: GenadiC
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-01 12:10 UTC by Maysa Macedo
Modified: 2020-09-18 13:58 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-network-operator pull 770 None closed Bug 1874457: Ensure router is present when Kuryr is used 2020-09-21 07:50:55 UTC
Github openshift installer pull 4159 None closed Bug 1874457: Add support to clean custom router 2020-09-21 07:50:55 UTC
Github openshift kuryr-kubernetes pull 337 None closed Bug 1874457: Skip FIP creation if no external subnet config is set 2020-09-18 13:40:53 UTC
OpenStack gerrit 749072 None MERGED Skip FIP creation if no external subnet config is set 2020-09-21 07:50:51 UTC

Description Maysa Macedo 2020-09-01 12:10:03 UTC
Description of problem:

Kuryr requires a router to be present on the cluster
to allow communication between VMs, Pods and Services.
However, during a FIP less no router is created by the
installer which breaks Kuryr installation.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Maysa Macedo 2020-09-03 11:21:01 UTC
Additionally, As no external connectivity is provided Kuryr shouldn't attempt to create a Floating IP for a Service of Load Balancer type.


Note You need to log in before you can comment on or make changes to this bug.